Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class CloneNotSupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.CloneNotSupportedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServerCloneException

public class CloneNotSupportedException
extends Exception

Thrown to indicate that the `clone` method in class `Object` has been called to clone an object, but that the object's class does not implement the `Cloneable` interface.

Applications that override the `clone` method can also throw this exception to indicate that an object could not or should not be cloned.

Since:
  JDK1.0
See Also:
  `Cloneable`, `Object.clone()`, Serialized Form

Constructor Summary
`CloneNotSupportedException()` Constructs a `CloneNotSupportedException` with no detail message.
`CloneNotSupportedException(String s)` Constructs a `CloneNotSupportedException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloneNotSupportedException

    public CloneNotSupportedException()

  Constructs a `CloneNotSupportedException` with no detail message.

### CloneNotSupportedException

    public CloneNotSupportedException(String s)

  Constructs a `CloneNotSupportedException` with the specified detail message.

Parameters:
  `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.